Multivariate Pattern Analysis in Python

# mvpa2.datasets.niml.from_niml

`mvpa2.datasets.niml.``from_niml`(dset, fa_labels=None, sa_labels=None, a_labels=None)

  Convert a NIML dataset to a Dataset

  Parameters:

  dset: dict

  > Dictionary with NIML key-value pairs, such as obtained from mvpa2.support.nibabel.afni_niml_dset.read()

  fa_labels: list

  > Keys in dset that are enforced to be feature attributes

  sa_labels: list

  > Keys in dset that are enforced to be sample attributes

  a_labels: list

  > Keys in dset that are enforced to be dataset attributes

  Returns:

  dataset: mvpa2.base.Dataset

  > a PyMVPA Dataset